<?php 
/**
* @author  		Michal Baniowski <baniczek@gmail.com>
* @link  		http://www.michalbaniowski.pl
* 
* @package 		bform
*/
abstract class Bform_Core_Filter {

    protected $_value = NULL;
    protected $_options = array();
    protected $_driver = NULL;

    final public function __construct(Bform_Driver & $driver, array $options = array())
    {
        $this->_driver = $driver;
        $this->_options = $options;
    }

    final public function update()
    {
        $this->_value = $this->_driver->value;
    }
    
    abstract public function filter();
}