<?php 
/**
* @author  		Michal Baniowski <baniczek@gmail.com>
* @link  		http://www.michalbaniowski.pl
* 
* @package 		bform
*/
abstract class Bform_Core_Validator_Driver extends Bform_Validator {
    
    public function __construct(Bform_Driver $driver, array $options = array())
    {
        parent::__construct($options);
        $this->_driver = $driver;
    }
    
    /**
     *
     * @return          Bform_Driver
     */
    public function driver()
    {
        return $this->_driver;
    }

    /**
     *
     * @return          mixed
     */
    public function value()
    {
        return $this->driver()->value;
    }
    
}