<?php 
/**
* @author  		Michal Baniowski <baniczek@gmail.com>
* @link  		http://www.michalbaniowski.pl
* 
* @package 		bform
*/
class Bform_Core_Validator_Driver_Email extends Bform_Validator_Driver_Regex {
	
    const REGEX_EMAIL = '/^([^@\s]+)@((?:[-a-z0-9]+\.)+[a-z]{2,})$/i';
    
    protected $_message = 'To nie jest adres email!';

    public function __construct(Bform_Driver $driver, array $options = array())
    {
        $options['regex'] = self::REGEX_EMAIL;
        parent::__construct($driver, $options);
    }
}