<?php 
/**
* @author  		Michal Baniowski <baniczek@gmail.com>
* @link  		http://www.michalbaniowski.pl
* 
* @package 		bform
*/
class Bform_Core_Validator_Driver_File_Image extends Bform_Validator_Driver {

    protected $_message = 'Plik nie jest obrazem!';
	
    public function validate()
    {
        if ( ! upload::not_empty($this->driver()->value))
        {
            return;
        }
        
        $path = $this->driver()->value;
        $path = $path['tmp_name'];

        if ($path)
        {
            try
            {
                $size = getimagesize($path);
                if ( ! is_array($size))
                {
                    throw new Bform_Exception;
                }
            }
            catch (Exception $e)
            {
                throw new Bform_Validator_Exception_Driver($this);
            }
        }
    }
}