<?php 
/**
* @author  		Michal Baniowski <baniczek@gmail.com>
* @link  		http://www.michalbaniowski.pl
* 
* @package 		bform
*/
class Bform_Core_Validator_Driver_Html extends Bform_Validator_Driver {

    protected $_message = 'Kod HTML jest niedozwolony!';
    
    public function validate() 
    {
        $length = UTF8::strlen($this->driver()->value);
        $lenth2 = UTF8::strlen(strip_tags($this->driver()->value));

        if ($length !== $lenth2)
        {
            throw new Bform_Validator_Exception_Driver($this);
        }
    }
}