<?php 
/**
* @author  		Michal Baniowski <baniczek@gmail.com>
* @link  		http://www.michalbaniowski.pl
* 
* @package 		bform
*/
class Bform_Core_Validator_Driver_Numeric extends Bform_Validator_Driver {

    protected $_message = 'Wprowadzona wartość musi być liczbą!';
    
    public function validate() 
    {
        if (empty($this->driver()->value)) 
        {
            return;
        }
        $value = str_replace(',', '.', $this->driver()->value);
        if ( ! is_numeric($value)) 
        {
            throw new Bform_Validator_Exception_Driver($this);
        }
    }
}