<?php
return array(
    
    'plugins' => array(
        'enabled' => array('Bform_Plugin_Group', 'Bform_Plugin_Blocks', 'Bform_Plugin_Tabs')
    ),
    
    'css' => array(
        'driver_error_class' => 'error',
        'driver_required_class' => 'required'
    ),
    
    'drivers' => array(
        
        'bform_driver_date' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/date',
                ),
            )
        ),
        
        'bform_driver_datetime' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/datetime',
                ),
            )
        ),
        
        'bform_driver_html' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/html',
                ),
            )
        ),
        
        'bform_driver_input_hidden' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/input/hidden',
                    'layout' => 'bform/shared/drivers_layouts/blank'
                ),
            )
        ),
        'bform_driver_input_file' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/input/file',
                ),
            )
        ),
        'bform_driver_input_password' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/input/password',
                ),
            )
        ),
        'bform_driver_input_file' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/input/file',
                ),
            )
        ),
        'bform_driver_input_text' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/input/text',
                ),
            )
        ),
        'bform_driver_group' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/group',
                    'layout' => 'bform/main/drivers_layouts/group'
                ),
            )
        ),
        'bform_driver_group_checkbox' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/group/checkbox',
                ),
            )
        ),
        'bform_driver_button' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/button',
                    'layout' => 'bform/main/drivers_layouts/buttons'
                ),
            )
        ),
        'bform_driver_textarea' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/textarea',
                ),
            )
        ),
        'bform_driver_select' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/select',
                ),
            )
        ),
        'bform_driver_select_multiple' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/select/multiple',
                ),
            )
        ),
        'bform_driver_bool' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/bool',
                ),
            )
        ),
        'bform_driver_time' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/time',
                ),
            )
        ),
        'bform_driver_group_radio' => array(
            'views' => array(
                'main' => array(
                    'driver' => 'bform/main/drivers/group/radio',
                ),
            )
        ),
    ),
    'views' => array(
        'defaults' => array(
            'drivers_layouts' => array(
                'main' => 'bform/main/drivers_layouts/default',
            ),
            'form_layouts' => array(
                'main' => 'bform/main/forms/default',
            ),
            'css' => 'bform/shared/css'
        ),
        'templates' => array(
                'main',
        ),
    ),
);