<?php

$years[NULL] = ' - ';
$months[NULL] = ' - ';
$days[NULL] = ' - ';
$hours[NULL] = ' - ';
$minutes[NULL] = ' - ';

for ($i = 1900; $i <= (date('Y') + 100); $i++)
{
    $years[$i] = $i;
}

for ($i = 1; $i <= 12; $i++)
{
    if ($i < 10)
    {
        $i = sprintf('%02d', $i);
    }
    $months[$i] = $i;
}

for ($i = 1; $i <= 31; $i++)
{
    if ($i < 10)
    {
        $i = sprintf('%02d', $i);
    }
    $days[$i] = $i;
}

for ($i = 0; $i <= 23; $i++)
{
    if ($i < 10)
    {
        $i = sprintf('%02d', $i);
    }
    $hours[$i] = $i;
}

for ($i = 0; $i <= 59; $i++)
{
    if ($i < 10)
    {
        $i = sprintf('%02d', $i);
    }
    $minutes[$i] = $i;
}

$value = $driver->value;
if ( ! empty($value))
{
    list($date, $time) = explode(' ', $value);
    $date = explode('-', $date);
    $time = explode(':', $time);
    
    $y = $date[0];
    $m = $date[1];
    $d = $date[2];
    
    $h = $time[0];
    $i = $time[1];
}
else
{
    $y = NULL;
    $m = NULL;
    $d = NULL;
    
    $h = NULL;
    $i = NULL;
}

$driver_tag = '';
$driver_tag .= form::select($driver->name.'[Y]', $years, $y, $driver->html_attributes);
$driver_tag .= form::select($driver->name.'[m]', $months, $m, $driver->html_attributes);
$driver_tag .= form::select($driver->name.'[d]', $days, $d, $driver->html_attributes);
$driver_tag .= ' ';
$driver_tag .= form::select($driver->name.'[H]', $hours, $h, $driver->html_attributes);
$driver_tag .= ':';
$driver_tag .= form::select($driver->name.'[i]', $minutes, $i, $driver->html_attributes);

echo $driver_tag;