<form enctype="multipart/form-data" action="<?php echo $form->action() ?>" method="<?php echo $form->method() ?>" id="<?php echo $form->param('id') ?>" class="<?php echo $form->param('class') ?>" name="<?php echo $form->param('name') ?>">

    <?php echo View::factory('bform/main/errors')->set('form', $form); ?>

    <?php if ($form->tabs_open()): ?>
        <div class="tabs">
            <ul class="tab_header">
                <?php foreach ($form->tabs_get() as $t): ?>
                    <li><a href="#<?php echo $t['info']['html']['id'] ?>"><?php echo $t['name'] ?></a></li>
                <?php endforeach; ?>
            </ul>
    <?php endif; ?>

    <?php foreach ($form->drivers->get_all() as $e): ?>

        <?php if (($tab = $e->tabs_is_driver_first()) !== FALSE): ?>
            <?php $tab['info']['html']['class'] .= 'block'; ?>
            <fieldset <?php echo HTML::attributes($tab['info']['html']) ?>>
            <?php $tabs_begin = TRUE; ?>
        <?php endif; ?>


        <?php if (($blocks_open = $form->blocks_get_to_open($e)) !== FALSE) : ?>
            <?php foreach ($blocks_open as $b): ?>
                <?php if ($b->is('fieldset')): ?>
                    <fieldset><legend><?php echo $b->title() ?></legend>
                <?php endif ?>
            <?php endforeach ?>
        <?php endif ?>

        <?php echo View::factory($e->driver_layout)->set('e', $e); ?>

        <?php if (($blocks_close = $form->blocks_get_to_close($e)) !== FALSE): ?>
            <?php foreach ($blocks_close as $b): ?>
                <?php if ($b->is('fieldset')): ?>
                    </fieldset>
                <?php endif ?>
            <?php endforeach; ?>
        <?php endif ?>

        <?php if ($e->tabs_is_driver_last()): ?>
            </fieldset>
        <?php endif; ?>

        <?php if ($e->tabs_close()): ?>
            </div>
        <?php endif; ?>

    <?php endforeach; ?>

    <div class="button_bar clearfix">
        <?php $buttons = $form->drivers->get_all(Bform_Form::DRIVERS_ONLY_BUTTONS); ?>
        <?php foreach ($buttons as $b): ?>
            <?php echo $b->render() ?>
        <?php endforeach ?>
    </div>
</form>