<?php 
/**
* @author  		Michal Baniowski <baniczek@gmail.com>
* @link  		http://www.michalbaniowski.pl
* 
* @package 		bform
*/
class Bform_Core_Driver_Bool extends Bform_Driver_Input_Checkbox {
        
    protected function _get_checked($value)
    {
        if ($this->form->is_sent() AND Arr::path($this->form->data(), $this->path, NULL, '.') !== NULL)
        {
            $value = TRUE;
        }
        
        return $value;
    }
    
    protected function _get_value($value)
    {
        if ($this->form->is_sent() AND Arr::path($this->form->data(), $this->path, NULL, '.') !== NULL)
        {
            $value = TRUE;
        }
        
        return $value;
    }
    
    protected function _set_value($value)
    {
        if ($this->form->is_sent() AND Arr::path($this->form->data(), $this->path, NULL, '.') !== NULL)
        {
            $value = TRUE;
        }
        
        if ( ! $this->form->is_sent() AND $value)
        {
            $this->checked = TRUE;
        }
        return $value;
    }

    public static function factory(Bform_Form $form, $name, array $info = array()) 
    {
        if (empty($info['required']))
        {
            $info['required'] = FALSE;
        }
        return new Bform_Driver_Bool($form, $name, $info);
    }
}