<?php 
/**
* @author  		Michal Baniowski <baniczek@gmail.com>
* @link  		http://www.michalbaniowski.pl
* 
* @package 		bform
*/
class Bform_Core_Driver_Html extends Bform_Driver {
    
    public static function factory(Bform_Form $form, $html, $info = array())
    {
        $info['required'] = FALSE;
        $info['html'] = (string) $html;
        sleep(0.01);
        return new Bform_Driver_Html($form, 'html'.text::random('alpha').sha1($html), $info);
    }
}