<?php 
/**
* @author  		Michal Baniowski <baniczek@gmail.com>
* @link  		http://www.michalbaniowski.pl
* 
* @package 		bform
*/
class Bform_Core_Driver_Select extends Bform_Driver {
	
    public static function factory(Bform_Form $form, $name, $options, $info = array())
    {
        if (is_string($options))
        {
            $options = unserialize($options);
        }
        foreach ($options as $o)
        {
            if (is_array($o))
            {
                $info['is_groupped'] = TRUE;
                break;
            }
        }
        $info['options'] = $options;
        return new Bform_Driver_Select($form, $name, $info);
    }
}