<?php 
/**
* @author  		Michal Baniowski <baniczek@gmail.com>
* @link  		http://www.michalbaniowski.pl
* 
* @package 		bform
*/
class Bform_Core_Validator_Driver_Float extends Bform_Validator_Driver {
	
    protected $_message = 'Wartość nie jest liczbą zmiennoprzecinkową!';
    
    public function validate() 
    {
        if (strlen($this->driver()->value)) 
        {
            $value = str_replace(',', '.', $this->driver()->value);

            if ( ! is_numeric($value) OR ! preg_match('/^[0-9]+\.[0-9]+$/', $value))
            {
                throw new Bform_Validator_Exception_Driver($this);
            }
        }
    }
}