<?php 
/**
* @author  		Michal Baniowski <baniczek@gmail.com>
* @link  		http://www.michalbaniowski.pl
* 
* @package 		bform
*/
class Bform_Core_Validator_Driver_Integer extends Bform_Validator_Driver {

    protected $_message = 'Wartość nie jest liczbą całkowitą!';
    
    public function validate() 
    {
        if (strlen($this->driver()->value)) 
        {
            if ( ! is_numeric($this->driver()->value) OR ! preg_match('/^[0-9]+$/', $this->driver()->value)) 
            {
                throw new Bform_Validator_Exception_Driver($this);
            }
        }
    }
}