<?php 
/**
* @author  		Michal Baniowski <baniczek@gmail.com>
* @link  		http://www.michalbaniowski.pl
* 
* @package 		bform
*/
class Bform_Core_Validator_Exception_Driver extends Bform_Validator_Exception {
    
    public function __construct(Bform_Validator $validator, array $options = array())
    {
        $message = $validator->message();
        if (empty($message))
        {
            throw new Bform_Exception("Message cannot be empty!");
        }
        
        $validator->driver()->error_messages .= " $message";
        $validator->driver()->has_error = TRUE;
        
        $this->_validator = $validator;
        $this->_options = $options;
        
        parent::__construct();
    }
}