<?php
/**
* @author  		Michal Baniowski <baniczek@gmail.com>
* @link  		http://www.michalbaniowski.pl
* 
* @package 		bform
*/
class Bform_Core_Validator_Exception_Form extends Bform_Validator_Exception {
    
    public function __construct(Bform_Validator_Form $validator, array $options = array())
    {
        $message = $validator->message();
        if (empty($message))
        {
            throw new Bform_Exception("Message cannot be empty!");
        }
        
        if ($driver = $validator->driver())
        {
            $driver->error_messages .= " $message";
            $driver->has_error = TRUE;
        }
        
        $this->_validator = $validator;
        $this->_options = $options;
        
        parent::__construct();
    }
    
}