# Plugins

There is possibility to extend Bform_Form and Bform_Driver classes without editing
that classes - it is useful when new functionality depends on lot class vars and
we want has them in one place.<br/><br/>

Description how to do it will be published soon, at first I must simplify that code.

## Available Plugins

### Creating blocks - Bform_Plugin_Blocks

It can create nested blocks (ie. fieldsets) with saving Bform_Form chaining functionality.
For now there is only one block type supported - a fieldset, but adding a new type should
not be a problem.
<br/><br/>


Basic usage:

    $this
            ->add_input_text('name', array('label' => 'Name'))
                ->block_start('Legend!', array('html' => array('id' => 'block-type')))
                    ->add_select('type', $types, array('label' => 'Choose type...'))
                    ...
                ->block_end()
                ...


### Creating tabs - Bform_Plugin_Tabs

It can create structure compatible with jQuery UI Tabs plugin.
<br/><br/>


Basic usage:

    $this
            ->add_tab('Content')
                ->add_input_text('name', array('label' => 'Name'))
            ->add_tab('Type')
                    ->add_select('type', $types, array('label' => 'Choose type...'))
            ...

<b>Note:</b> If you have deciced to use tabs then you must create first tab
<b>before</b> adding any driver to form.

### Customized groups - Bform_Plugin_Group

This plugin can improve creating a radio / checkbox group with method chaining.
It can be used when we want add for example a custom ID to group element - by
default that option isn't supported.
<br/><br/>


Basic usage:

    $this
            ->add_input_text('name', array('label' => 'Name'))
            ->group_start('types', $info)
                ->add('value1', 'Label 1, array('id' => 'my-custom-id'))
                ->add('value2', 'Label 2')
            ->group_end()
            ...