# Rendering and views

There are 3 types of view templates:

1.   form template - main template with \<form\> tags, looping through all drivers etc.
2.   driver layout - contains driver row template (label, html_after etc.)
3.   driver template - contains code with driver rendering


You can create own template (split for site admin, site frontend etc).
<br/><br/>


To do this add element with form name to config array ( <b>views.templates</b> ) and
add pathes to driver layout and form layout ( <b>views.defaults.drivers_layouts</b>
and <b>views.defaults.form_layouts</b> ).
<br/><br/>


There is also required pass the path to view files of driver for newly created template
( <b>drivers.\<lowered class name\>.views.\<created template name\>.driver</b> ). Driver layout ( <b>drivers.\<lowered class name\>.
views.\<created template name\>.layout</b> ) isn't required - if empty then default layout
will be used.
<br/><br/>


To change template just call Bform_Form::template() method with template name as
param.
<br/><br/>


Displaying form:

    echo $form;

Displayed will be all form with drivers and validation errors.
<br/><br/>


<b>TODO:</b> Describe how to create fully customized "layout" (often used in only
one subpage)
